Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog/market-liquidations?pretty=true&limit=100&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog/market-liquidations?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"market": "binance-1000BTTCUSDT-future",
"min_time": "2022-01-26T03:46:28.290000000Z",
"max_time": "2022-04-11T03:40:00.193000000Z"
},
{
"market": "binance-1000LUNCBUSD-future",
"min_time": "2022-05-31T02:45:32.286000000Z",
"max_time": "2022-07-04T12:25:16.559000000Z"
},
{
"market": "binance-1000SHIBUSDT-future",
"min_time": "2021-05-11T23:00:17.729000000Z",
"max_time": "2022-07-04T13:35:00.567000000Z"
}
]
}Catalog (deprecated)
Available market liquidations
deprecated
Returns a list of markets with liquidations support along with the time ranges of available data.
GET
/
catalog
/
market-liquidations
Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog/market-liquidations?pretty=true&limit=100&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog/market-liquidations?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog/market-liquidations?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"market": "binance-1000BTTCUSDT-future",
"min_time": "2022-01-26T03:46:28.290000000Z",
"max_time": "2022-04-11T03:40:00.193000000Z"
},
{
"market": "binance-1000LUNCBUSD-future",
"min_time": "2022-05-31T02:45:32.286000000Z",
"max_time": "2022-07-04T12:25:16.559000000Z"
},
{
"market": "binance-1000SHIBUSDT-future",
"min_time": "2021-05-11T23:00:17.729000000Z",
"max_time": "2022-07-04T13:35:00.567000000Z"
}
]
}
